﻿using System;
using System.Data;
using System.Linq;
using System.Text;
using System.Drawing;
using System.Windows.Forms;
using System.ComponentModel;
using System.Threading.Tasks;
using System.Collections.Generic;

namespace Local_Backup_Utility
{
    public partial class FormWarnings : Form
    {
        public FormWarnings()
        {
            InitializeComponent();
        }

        private void FormWarnings_Load(object sender, EventArgs e)
        {
            if (Properties.Settings.Default.theme == "dark")
            {
                this.BackColor = Color.FromArgb(26, 26, 27);
                Themes.changeTheme("dark", this.Controls);
            }

            string[] date = FormMain.warnings[0].ToArray();
            string[] warning = FormMain.warnings[1].ToArray();

            for (int i = 0; i < date.Length; i++)
            {
                ListViewItem listItem = new ListViewItem(date[i]);
                listItem.SubItems.Add(warning[i]);
                listWarnings.Items.Add(listItem);
            }
        }

        public void insertNewWarning()
        {
            string date = FormMain.warnings[0][0];
            string warning = FormMain.warnings[1][0];

            ListViewItem listItem = new ListViewItem(date);
            listItem.SubItems.Add(warning);
            listWarnings.Items.Insert(0, listItem);
        }
    }
}
